Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.jpivot.mondrian
Class MondrianAxis

    java.lang.Object
      com.tonbeller.jpivot.mondrian.MondrianAxis

All Implemented Interfaces:
  Axis, Decorator, Visitable

    public class MondrianAxis

extends java.lang.Object
implements Axis

MondrianAxis is an adapter class for the Result Mondrian Axis.

Constructor Summary
`MondrianAxis(int iOrdinal, mondrian.olap.Axis monAxis, MondrianModel model)` Constructor

Method Summary
`void` | `accept(Visitor visitor)`
`Hierarchy[]` | `getHierarchies()` returns the hierachies that are currently visible on this axis. 0 = outermost, N = innermost.
`int` | `getOrdinal()` Returns the ordinal.
`java.util.List` | `getPositions()` return the positions on this axis
`java.lang.Object` | `getRootDecoree()` returns the object that has been created by the olap server.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MondrianAxis

    public MondrianAxis(int iOrdinal,
                        mondrian.olap.Axis monAxis,
                        MondrianModel model)

  Constructor

  Parameters:
    `monAxis` - Axis as defined in Mondrian

Method Detail

### getPositions

    public java.util.List getPositions()

  Description copied from interface: `Axis`
  return the positions on this axis

  Specified by:
    `getPositions` in interface `Axis`
  See Also:
    `Axis.getPositions()`

### getHierarchies

    public Hierarchy[] getHierarchies()

  Description copied from interface: `Axis`
  returns the hierachies that are currently visible on this axis. 0 = outermost, N = innermost. The order is significant.

  Specified by:
    `getHierarchies` in interface `Axis`
  See Also:
    `Axis.getHierarchies()`

### accept

    public void accept(Visitor visitor)

  Specified by:
    `accept` in interface `Visitable`
  See Also:
    `Visitable.accept(Visitor)`

### getRootDecoree

    public java.lang.Object getRootDecoree()

  Description copied from interface: `Decorator`
  returns the object that has been created by the olap server. If this is part of a decorator chain, unwinds the chain and returns the root of all decorators.

  Specified by:
    `getRootDecoree` in interface `Decorator`

### getOrdinal

    public int getOrdinal()

  Returns the ordinal.

  Returns:
    int

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD